Bug 480749 - Wrong meta data state for 5/6-disk arrays (CRC initializing) - RAID5
Wrong meta data state for 5/6-disk arrays (CRC initializing) - RAID5
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: dmraid (Show other bugs)
5.4
All Linux
low Severity medium
: rc
: ---
Assigned To: Heinz Mauelshagen
Cluster QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-20 05:20 EST by Krzysztof Wojcik
Modified: 2009-09-02 07:16 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 07:16:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch for isw metadata inconsistency. (6.00 KB, application/x-gzip)
2009-03-20 08:48 EDT, Krzysztof Wojcik
no flags Details

  None (edit)
Description Krzysztof Wojcik 2009-01-20 05:20:36 EST
Steps to reproduce:
Create raid 5 array with 5/6 disks and enable it. Check the state of metadata.

Expected results:
5 or 6 disk RAID 5 array shall have initialized CRC before their metadata data state is put to NORMAL.
After creation array shall be in UNINITLIALISED state (isw_dev[0].vol.migr_state)
CRC initialization shall  be started when array is activated and metada state can be changed in DSO call after successful completion in raid45 module.

Actual results:
Metadata is in NORMAL state regaladless of initialization
Comment 1 Krzysztof Wojcik 2009-03-20 08:46:54 EDT
Attached patch include fixes for:

1. Issue reported in this Bugzilla record (Wrong meta data state for 5/6-disk arrays (CRC initializing))
This patch fixes only isw metadata migration state, migration type and map states, which should reflect correct status of the array. RAID can be used in uninitialized state as before (in the normal state) and this modification allows to start initialization using other RAID solutions supporting full initialization. 

2. Issues reported in other Bugzilla records, fixed so far:
- fix for "OROM/DMRAID metadata inconsistency" - Bugzilla Bug 479419
- fix for "Incorrect status displayed when disk is missing" -  Bugzilla Bug 479425
- fix for "Missing supported RAID configuration in "-l" option" - Bugzilla bug
479395
- fix for "Wrong disk layout in raid01" - no Bugzilla bug.  

Please review it and give feedback.
Comment 2 Krzysztof Wojcik 2009-03-20 08:48:30 EDT
Created attachment 336037 [details]
Patch for isw metadata inconsistency.
Comment 4 Chris Ward 2009-07-03 14:21:25 EDT
~~ Attention - RHEL 5.4 Beta Released! ~~

RHEL 5.4 Beta has been released! There should be a fix present in the Beta release that addresses this particular request. Please test and report back results here, at your earliest convenience. RHEL 5.4 General Availability release is just around the corner!

If you encounter any issues while testing Beta, please describe the issues you have encountered and set the bug into NEED_INFO. If you encounter new issues, please clone this bug to open a new issue and request it be reviewed for inclusion in RHEL 5.4 or a later update, if it is not of urgent severity.

Please do not flip the bug status to VERIFIED. Only post your verification results, and if available, update Verified field with the appropriate value.

Questions can be posted to this bug or your customer or partner representative.
Comment 7 errata-xmlrpc 2009-09-02 07:16:57 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1347.html

Note You need to log in before you can comment on or make changes to this bug.